RTEMS: rtems_bdbuf_config Struct Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Data Fields
rtems_bdbuf_config Struct Reference
Device Drivers » Block Device Library » Block Device Buffer Management

`#include <bdbuf.h>`

## Data Fields
uint32_t | max_read_ahead_blocks
uint32_t | max_write_blocks
rtems_task_priority | swapout_priority
uint32_t | swapout_period
uint32_t | swap_block_hold
size_t | swapout_workers
rtems_task_priority | swapout_worker_priority
size_t | task_stack_size
size_t | size
uint32_t | buffer_min
uint32_t | buffer_max
rtems_task_priority | read_ahead_priority

## Detailed Description

Buffering configuration definition. See confdefs.h for support on using this structure.

## Field Documentation

## ◆ buffer_max

uint32_t rtems_bdbuf_config::buffer_max

Maximum buffer size supported. It is also the allocation size.

## ◆ buffer_min

uint32_t rtems_bdbuf_config::buffer_min

Minimum buffer size.

## ◆ max_read_ahead_blocks

uint32_t rtems_bdbuf_config::max_read_ahead_blocks

Number of blocks to read ahead.

## ◆ max_write_blocks

uint32_t rtems_bdbuf_config::max_write_blocks

Number of blocks to write at once.

## ◆ read_ahead_priority

rtems_task_priority rtems_bdbuf_config::read_ahead_priority

Priority of the read-ahead task.

## ◆ size

size_t rtems_bdbuf_config::size

Size of memory in the cache

## ◆ swap_block_hold

uint32_t rtems_bdbuf_config::swap_block_hold

Period a buffer is held.

## ◆ swapout_period

uint32_t rtems_bdbuf_config::swapout_period

Period swap-out checks buf timers.

## ◆ swapout_priority

rtems_task_priority rtems_bdbuf_config::swapout_priority

Priority of the swap out task.

## ◆ swapout_worker_priority

rtems_task_priority rtems_bdbuf_config::swapout_worker_priority

Priority of the swap out task.

## ◆ swapout_workers

size_t rtems_bdbuf_config::swapout_workers

The number of worker threads for the swap-out task.

## ◆ task_stack_size

size_t rtems_bdbuf_config::task_stack_size

Task stack size for swap-out task and worker threads.

The documentation for this struct was generated from the following file:

- cpukit/include/rtems/bdbuf.h